Bug 1125025 - [Doc Feature] Need documentation of proper usage of the -b and -u command line switches
Summary: [Doc Feature] Need documentation of proper usage of the -b and -u command lin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: post-GA
: EAP 6.4.3
Assignee: Andrea Hoffer
QA Contact: Marek Kopecky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 21:43 UTC by Brian Stansberry
Modified: 2015-10-20 12:45 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-20 12:45:55 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1060 Major Resolved When starting JBoss AS -b should work no matter how I start JBoss AS to bind it to the local interface 2015-09-29 08:47:16 UTC

Description Brian Stansberry 2014-07-30 21:43:39 UTC
Description of problem:

More complete documentation of the use of the -b and -u command line switches is needed.

Version-Release number of selected component (if applicable):

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html/Administration_and_Configuration_Guide


Additional info:

The -b command line switch is commonly used and a variant has been around in JBoss AS / EAP since the earliest days. How it works with EAP 6 is subtle though and is different from EAP 4/5. It's important that proper usage is documented.

A similar situation exists with the -u switch, although it isn't as commonly used.

Section "⁠2.1.6. Reference of Switches and Arguments to pass at Server Runtime" doesn't really cover the use of these switches beyond the bare minimum statement that they control some system properties. I haven't found any coverage elsewhere in the guide either.

Full documentation can be found in the "Controlling the Bind Address with -b" and "Controlling the Default Multicast Address with -u" sections of the community docs at https://docs.jboss.org/author/display/AS72/Command+line+parameters

Comment 1 JBoss JIRA Server 2014-07-30 21:45:33 UTC
Brian Stansberry <brian.stansberry@redhat.com> updated the status of jira WFLY-1060 to Resolved

Comment 7 Marek Kopecky 2015-09-10 16:16:35 UTC
1) Missing comma after this sentence:
Alternative configurations might include starting the server with an alternative socket bindings set or a secondary configuration

2) Arguments from domain.sh are missing in "Runtime Switches and Arguments" table (these arguments were in that table in 6.4.0-35 revision). For example "--backup", "--cached-dc", "--domain-config", etc. are missing.

Revision 6.4.0-37

Comment 10 Marek Kopecky 2015-09-25 15:15:04 UTC
Verified in revision 6.4.0-39


Note You need to log in before you can comment on or make changes to this bug.